> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Chains

> Deprecated: use `GET /v0/chains` instead. This endpoint will be removed in the future.

<Warning>
  Deprecated: use `GET /v0/chains` instead. This endpoint will be removed in the
  future.
</Warning>

<Info>**Credit cost:** 0.01 per request.</Info>

Get the list of chains that we currently support.

We've included corresponding ids of the CoinGecko and DEX Screener platforms, which you can use as a common matching reference if needed.


## OpenAPI

````yaml GET /chains
openapi: 3.1.0
info:
  title: Bubblemaps Data API
  version: 0.2.2
servers:
  - url: https://api.bubblemaps.io
security: []
paths:
  /chains:
    get:
      tags:
        - Chains
      summary: Get Supported Chains
      description: >-
        Deprecated: use `GET /v0/chains` instead. This endpoint will be removed
        in the future.
      operationId: get_supported_chains_chains_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ChainDetails'
                type: array
                title: Response Get Supported Chains Chains Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - APIKeyHeader: []
components:
  schemas:
    ChainDetails:
      properties:
        id:
          $ref: '#/components/schemas/ChainId'
        name:
          type: string
          title: Name
        dexscreener_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dexscreener Id
        coingecko_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Coingecko Id
      type: object
      required:
        - id
        - name
      title: ChainDetails
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChainId:
      type: string
      enum:
        - eth
        - base
        - solana
        - tron
        - bsc
        - apechain
        - ton
        - polygon
        - avalanche
        - sonic
        - hyperevm
        - monad
        - aptos
        - arbitrum
        - robinhood
      title: ChainId
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ApiKey

````